package com.huijy.management.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.huijy.common.annotation.Excel;
import com.huijy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 会员信息(游客)对象 t_member
 *
 * @author luobo
 * @date 2021-09-12
 */
public class Member extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 会员id */
    private Long memberId;

    /** 会员名 */
    @Excel(name = "会员名")
    private String name;

    /** 会员手机号 */
    @Excel(name = "会员手机号")
    private String mobile;

    /** 会员邮箱 */
    @Excel(name = "会员邮箱")
    private String email;

    /** 注册时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "注册时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date registerTime;

    /** 上次登录时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上次登录时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastLoginTime;

    /** 上次登录IP */
    @Excel(name = "上次登录IP")
    private String lastLoginIp;

    /** 登录次数 */
    @Excel(name = "登录次数")
    private Long loginNum;

    /** 微信用户ID */
    @Excel(name = "微信用户ID")
    private String unionid;

    /** 微信openid */
    @Excel(name = "微信openid")
    private String openid;

    /** 昵称 */
    @Excel(name = "昵称")
    private String nickName;

    /** 会员头像 */
    @Excel(name = "会员头像")
    private String avatarUrl;

    /** 性别 */
    @Excel(name = "性别")
    private String gender;

    /** 省 */
    @Excel(name = "省")
    private String province;

    /** 市 */
    @Excel(name = "市")
    private String city;

    /** 国家 */
    @Excel(name = "国家")
    private String country;

    /** 语言 */
    @Excel(name = "语言")
    private String language;

    /** 最后坐标lat */
    @Excel(name = "最后坐标lat")
    private String lastLat;

    /** 最后坐标lng */
    @Excel(name = "最后坐标lng")
    private String lastLng;
    /**
     * 是否有店铺
     */
    @Excel(name = "是否有店铺")
    private Integer isShop;

    public void setMemberId(Long memberId)
    {
        this.memberId = memberId;
    }

    public Long getMemberId()
    {
        return memberId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setMobile(String mobile)
    {
        this.mobile = mobile;
    }

    public String getMobile()
    {
        return mobile;
    }
    public void setEmail(String email)
    {
        this.email = email;
    }

    public String getEmail()
    {
        return email;
    }
    public void setRegisterTime(Date registerTime)
    {
        this.registerTime = registerTime;
    }

    public Date getRegisterTime()
    {
        return registerTime;
    }
    public void setLastLoginTime(Date lastLoginTime)
    {
        this.lastLoginTime = lastLoginTime;
    }

    public Date getLastLoginTime()
    {
        return lastLoginTime;
    }
    public void setLastLoginIp(String lastLoginIp)
    {
        this.lastLoginIp = lastLoginIp;
    }

    public String getLastLoginIp()
    {
        return lastLoginIp;
    }
    public void setLoginNum(Long loginNum)
    {
        this.loginNum = loginNum;
    }

    public Long getLoginNum()
    {
        return loginNum;
    }
    public void setUnionid(String unionid)
    {
        this.unionid = unionid;
    }

    public String getUnionid()
    {
        return unionid;
    }
    public void setOpenid(String openid)
    {
        this.openid = openid;
    }

    public String getOpenid()
    {
        return openid;
    }
    public void setNickName(String nickName)
    {
        this.nickName = nickName;
    }

    public String getNickName()
    {
        return nickName;
    }
    public void setAvatarUrl(String avatarUrl)
    {
        this.avatarUrl = avatarUrl;
    }

    public String getAvatarUrl()
    {
        return avatarUrl;
    }
    public void setGender(String gender)
    {
        this.gender = gender;
    }

    public String getGender()
    {
        return gender;
    }
    public void setProvince(String province)
    {
        this.province = province;
    }

    public String getProvince()
    {
        return province;
    }
    public void setCity(String city)
    {
        this.city = city;
    }

    public String getCity()
    {
        return city;
    }
    public void setCountry(String country)
    {
        this.country = country;
    }

    public String getCountry()
    {
        return country;
    }
    public void setLanguage(String language)
    {
        this.language = language;
    }

    public String getLanguage()
    {
        return language;
    }
    public void setLastLat(String lastLat)
    {
        this.lastLat = lastLat;
    }

    public String getLastLat()
    {
        return lastLat;
    }
    public void setLastLng(String lastLng)
    {
        this.lastLng = lastLng;
    }

    public String getLastLng()
    {
        return lastLng;
    }

    public Integer getIsShop() {
        return isShop;
    }

    public void setIsShop(Integer isShop) {
        this.isShop = isShop;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("memberId", getMemberId())
            .append("name", getName())
            .append("mobile", getMobile())
            .append("email", getEmail())
            .append("registerTime", getRegisterTime())
            .append("lastLoginTime", getLastLoginTime())
            .append("lastLoginIp", getLastLoginIp())
            .append("loginNum", getLoginNum())
            .append("unionid", getUnionid())
            .append("openid", getOpenid())
            .append("nickName", getNickName())
            .append("avatarUrl", getAvatarUrl())
            .append("gender", getGender())
            .append("province", getProvince())
            .append("city", getCity())
            .append("country", getCountry())
            .append("language", getLanguage())
            .append("lastLat", getLastLat())
            .append("lastLng", getLastLng())
            .append("isShop", getIsShop())
            .toString();
    }
}
